Mantis Bug Tracker

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000348OLVFreeEMS Pluginpublic2011-10-26 16:492012-02-06 20:37
ReporterFred 
Assigned ToFred 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformAllOSAllOS VersionAll
Product Version0.0.1-SNAPSHOT 
Target Version0.0.3Fixed in Version0.0.3 
Summary0000348: Add Reset Detection To FreeEMS Bin
DescriptionWatch the incremented counter and if it ever moves from anything except 255/65535 -> 0, mark a reset, and if it ever moves from anything to anything except anything + 1, mark a reset. Mark different types for random dropped data (some configurable threshold, say 3?) and resets to zero. Requires reset display functionality adding to the log display stuff.

Note, requires 0000298 for proper use, but can be hacked in in the mean time :-)
TagsNo tags attached.
Attached Files

- Relationships
related to 0000298assignedBenFenner Add Support For Arbitrary Marks With Meta Data 

-  Notes
User avatar (0000490)
Fred (administrator)
2011-10-27 13:47

Hack in as "OLV Reset Hack" field and base on two millisecond counts and tempClock, with +1 for each and store the sum giving a strength indication, where chances of 3 are high, chances of 2 are low, chances of 1 are slim to none, chances of 0 are zero, as they should be.
User avatar (0001191)
Fred (administrator)
2012-02-06 20:37

Fixed in 1efb79356093c53576939710593119ae357145ea with 1 = reset and -1.x = x * 1000 dropped packets worth of comms log and/or corruption. Some false positives expected.


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker